# No point in trying to build a debuginfo package since
# the package only has static libraries and find-debuginfo.sh
# does not grok them
%global debug_package %{nil}

Summary: Library for reading RAW files obtained from digital photo cameras
Name: LibRaw
Version: 0.9.1
Release: 4%{?dist}
License: LGPLv2+ with exceptions
Group: Amusements/Graphics
URL: http://www.libraw.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires: lcms-devel >= 1.0

Source0: http://www.libraw.org/data/%{name}-%{version}.tar.gz

# Configuration support. Patch sent upstream
Patch0: libraw-configure.patch

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Provides: LibRaw-static = %{version}-%{release}
Summary: LibRaw development libraries
Group: Development/Libraries
#Requires: lcms-devel >= 1.0

%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against LibRaw. LibRaw does not provide dynamic libraries.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .configure

%build
# This is not the autotools generated configure script
sh configure -P %{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

# The Libraries
make install DESTDIR=%{buildroot} LIBDIR=%{_lib}

# The documentation
# We have a subdirectory for the manual, so we
# should not be using the doc macro
#Ref: https://fedoraproject.org/wiki/How_to_create_an_RPM_package
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-devel-%{version}/manual
install -c -m 644 doc/* %{buildroot}%{_defaultdocdir}/%{name}-devel-%{version}/manual/
install -c -m 644 LICENSE.CDDL LICENSE.LibRaw.pdf LICENSE.LGPL COPYRIGHT Changelog.txt Changelog.rus \
		%{buildroot}%{_defaultdocdir}/%{name}-devel-%{version}/

%files devel
%defattr(-,root,root,-)

%dir %{_defaultdocdir}/%{name}-devel-%{version}
%dir %{_defaultdocdir}/%{name}-devel-%{version}/manual

%{_defaultdocdir}/%{name}-devel-%{version}/LICENSE.CDDL
%{_defaultdocdir}/%{name}-devel-%{version}/LICENSE.LibRaw.pdf
%{_defaultdocdir}/%{name}-devel-%{version}/LICENSE.LGPL
%{_defaultdocdir}/%{name}-devel-%{version}/COPYRIGHT
%{_defaultdocdir}/%{name}-devel-%{version}/Changelog.txt
%{_defaultdocdir}/%{name}-devel-%{version}/Changelog.rus

%{_defaultdocdir}/%{name}-devel-%{version}/manual/*

%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%changelog
* Tue Jun 29 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-4
- Use upstream package name (libRaw) instead of libraw

* Tue Jun 29 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-3
- Remove the clean section since it is not needed in F-13 and later
- Correct installation of docs into defaultdocdir instead of docdir

* Fri Jun 10 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-2
- Disable lcms and openmp support by default so that we're in line with
  upstream default

* Fri Jun 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1
- New package

